/**
 * SECTION:app-info
 * @short_description: Class to store data describing an application in AppStream
 */
/**
 * APPSTREAM_TYPE_APP_INFO:
 * 
 * The type for <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link>.
 */
/**
 * appstream_app_info_is_valid:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance
 * 
 * Check if the essential properties of this AppInfo instance are populated with useful data.
 */
/**
 * appstream_app_info_to_string:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance
 */
/**
 * appstream_app_info_set_categories_from_str:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance
 * @categories_str: (in): &nbsp;.  Comma-separated list of category-names 
 * 
 * Set the categories list from a string
 */
/**
 * appstream_app_info_add_screenshot:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance
 * @sshot: &nbsp;
 */
/**
 * appstream_app_info_new:
 */
/**
 * AppstreamAppInfo:pkgname:
 */
/**
 * appstream_app_info_get_pkgname:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--pkgname"><type>"pkgname"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--pkgname"><type>"pkgname"</type></link> property
 */
/**
 * appstream_app_info_set_pkgname:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--pkgname"><type>"pkgname"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--pkgname"><type>"pkgname"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:desktop-file:
 */
/**
 * appstream_app_info_get_desktop_file:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--desktop-file"><type>"desktop-file"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--desktop-file"><type>"desktop-file"</type></link> property
 */
/**
 * appstream_app_info_set_desktop_file:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--desktop-file"><type>"desktop-file"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--desktop-file"><type>"desktop-file"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:name:
 */
/**
 * appstream_app_info_get_name:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--name"><type>"name"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--name"><type>"name"</type></link> property
 */
/**
 * appstream_app_info_set_name:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--name"><type>"name"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--name"><type>"name"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:name-original:
 */
/**
 * appstream_app_info_get_name_original:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--name-original"><type>"name-original"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--name-original"><type>"name-original"</type></link> property
 */
/**
 * appstream_app_info_set_name_original:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--name-original"><type>"name-original"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--name-original"><type>"name-original"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:summary:
 */
/**
 * appstream_app_info_get_summary:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--summary"><type>"summary"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--summary"><type>"summary"</type></link> property
 */
/**
 * appstream_app_info_set_summary:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--summary"><type>"summary"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--summary"><type>"summary"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:description:
 */
/**
 * appstream_app_info_get_description:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--description"><type>"description"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--description"><type>"description"</type></link> property
 */
/**
 * appstream_app_info_set_description:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--description"><type>"description"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--description"><type>"description"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:keywords:
 * @result_length1: return location for the length of the property's value
 * @value_length1: length of the property's new value
 */
/**
 * appstream_app_info_get_keywords:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--keywords"><type>"keywords"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--keywords"><type>"keywords"</type></link> property
 */
/**
 * appstream_app_info_set_keywords:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--keywords"><type>"keywords"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--keywords"><type>"keywords"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:icon:
 */
/**
 * appstream_app_info_get_icon:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--icon"><type>"icon"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--icon"><type>"icon"</type></link> property
 */
/**
 * appstream_app_info_set_icon:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--icon"><type>"icon"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--icon"><type>"icon"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:icon-url:
 */
/**
 * appstream_app_info_get_icon_url:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--icon-url"><type>"icon-url"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--icon-url"><type>"icon-url"</type></link> property
 */
/**
 * appstream_app_info_set_icon_url:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--icon-url"><type>"icon-url"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--icon-url"><type>"icon-url"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:homepage:
 */
/**
 * appstream_app_info_get_homepage:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--homepage"><type>"homepage"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--homepage"><type>"homepage"</type></link> property
 */
/**
 * appstream_app_info_set_homepage:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--homepage"><type>"homepage"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--homepage"><type>"homepage"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:categories:
 * @result_length1: return location for the length of the property's value
 * @value_length1: length of the property's new value
 */
/**
 * appstream_app_info_get_categories:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--categories"><type>"categories"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--categories"><type>"categories"</type></link> property
 */
/**
 * appstream_app_info_set_categories:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--categories"><type>"categories"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--categories"><type>"categories"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:mimetypes:
 * @result_length1: return location for the length of the property's value
 * @value_length1: length of the property's new value
 */
/**
 * appstream_app_info_get_mimetypes:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--mimetypes"><type>"mimetypes"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--mimetypes"><type>"mimetypes"</type></link> property
 */
/**
 * appstream_app_info_set_mimetypes:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to modify
 * @value: the new value of the <link linkend="AppstreamAppInfo--mimetypes"><type>"mimetypes"</type></link> property
 * 
 * Set the value of the <link linkend="AppstreamAppInfo--mimetypes"><type>"mimetypes"</type></link> property to @value.
 * 
 * 
 */
/**
 * AppstreamAppInfo:screenshots:
 */
/**
 * appstream_app_info_get_screenshots:
 * @self: the <link linkend="AppstreamAppInfo"><type>AppstreamAppInfo</type></link> instance to query
 * 
 * Get and return the current value of the <link linkend="AppstreamAppInfo--screenshots"><type>"screenshots"</type></link> property.
 * 
 * 
 * 
 * Returns: the value of the <link linkend="AppstreamAppInfo--screenshots"><type>"screenshots"</type></link> property
 */
/**
 * AppstreamAppInfo:
 * 
 * Class to store data describing an application in AppStream
 */
/**
 * AppstreamAppInfoClass:
 * @parent_class: the parent class structure
 * 
 * The class structure for <link linkend="APPSTREAM-TYPE-APP-INFO:CAPS"><literal>APPSTREAM_TYPE_APP_INFO</literal></link>. All the fields in this structure are private and should never be accessed directly.
 */
